<?xml version="1.0"?>
<faces-config version="2.0" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xi="http://www.w3.org/2001/XInclude" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
              xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-facesconfig_2_0.xsd">
    <navigation-rule>
        <navigation-case>
            <from-outcome>login</from-outcome>
            <to-view-id>/login.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>home</from-outcome>
            <to-view-id>/index.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>dataset</from-outcome>
            <to-view-id>/datasetManagement.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>securityDataset</from-outcome>
            <to-view-id>/securityDatasetManagement.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>extraction</from-outcome>
            <to-view-id>/extractionManagement.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>synthesis</from-outcome>
            <to-view-id>/synthesisManagement.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>refdata</from-outcome>
            <to-view-id>/refdataManagement.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>securityRefdata</from-outcome>
            <to-view-id>/securityRefdataManagement.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>changeProfiles</from-outcome>
            <to-view-id>/changeProfiles.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>changeProfile</from-outcome>
            <to-view-id>/changeProfile.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>createProfile</from-outcome>
            <to-view-id>/createProfile.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>requestRights</from-outcome>
            <to-view-id>/requestRightsManagement.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>requestUsersRights</from-outcome>
            <to-view-id>/requestUsersRightsManagement.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>retrievePassword</from-outcome>
            <to-view-id>/retrievePassword.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>securityFileComp</from-outcome>
            <to-view-id>/securityFileCompManagement.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>fileComp</from-outcome>
            <to-view-id>/fileCompManagement.xhtml</to-view-id>
        </navigation-case>
         <navigation-case>
            <from-outcome>physicochimie</from-outcome>
            <to-view-id>/physicochimie.xhtml</to-view-id>
        </navigation-case>
         <navigation-case>
            <from-outcome>fluxchambres</from-outcome>
            <to-view-id>/fluxchambres.xhtml</to-view-id>
        </navigation-case>
         <navigation-case>
            <from-outcome>incubations</from-outcome>
            <to-view-id>/incubations.xhtml</to-view-id>
        </navigation-case>
         <navigation-case>
            <from-outcome>itk</from-outcome>
            <to-view-id>/itk.xhtml</to-view-id>
        </navigation-case>
         <navigation-case>
            <from-outcome>logsFiles</from-outcome>
            <to-view-id>/logsFiles.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>charter</from-outcome>
            <to-view-id>/charter.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>page_presentation</from-outcome>
            <to-view-id>/page_presentation.xhtml</to-view-id>
        </navigation-case>
    </navigation-rule>
    <application>
        <el-resolver>org.springframework.web.jsf.el.SpringBeanFacesELResolver</el-resolver>
        <locale-config>
            <default-locale>fr</default-locale>
            <supported-locale>fr</supported-locale>
            <supported-locale>en</supported-locale>
        </locale-config>
        <message-bundle>org.inra.ecoinfo.config.jsf.messages</message-bundle>
    </application>
    <lifecycle>
        <phase-listener>org.inra.ecoinfo.identification.jsf.IdentificationPhaseListener</phase-listener>
    </lifecycle>
</faces-config>
